"use strict"; 
var { registerBlockType } = wp.blocks;
var gcel = wp.element.createElement;

registerBlockType( 'vidopticon-video-search-engine/redirect-box', {
    title: 'Vidopticon Redirect Box',
    icon: 'search',
    category: 'embed',
    attributes: {
        redirect_page : {
            default: '',
            type:   'string',
        },
        search_text : {
            default: 'Search now',
            type:   'string',
        },
        search_description : {
            default: '&nbsp;Search...',
            type:   'string',
        },
        search_prefill : {
            default: '',
            type:   'string',
        },
        find_text : {
            default: 'Find',
            type:   'string',
        },
        width : {
            default: 'auto',
            type:   'string',
        },
        backgound_color : {
            default: '#ffffff',
            type:   'string',
        },
        border_color : {
            default: '#919294',
            type:   'string',
        },
        border_width : {
            default: '1px',
            type:   'string',
        },
        font_type : {
            default: 'Arial, sans-serif',
            type:   'string',
        },
        font_size : {
            default: '13px',
            type:   'string',
        },
        navigation_font_size : {
            default: '20px',
            type:   'string',
        },
        text_color : {
            default: '#000000',
            type:   'string',
        },
        link_color : {
            default: '#198ADC',
            type:   'string',
        },
        custom_css : {
            default: '.bloggerDiv{display:none;}td {border: 0px solid transparent !important;}',
            type:   'string',
        },
        search_type : {
            default: 'all',
            type:   'string',
        }
    },
    keywords: ['list', 'posts', 'careeromatic'],
    edit: (function( props ) {
        var redirect_page = props.attributes.redirect_page;
        var search_text = props.attributes.search_text;
        var search_description = props.attributes.search_description;
        var search_prefill = props.attributes.search_prefill;
        var find_text = props.attributes.find_text;
        var width = props.attributes.width;
        var backgound_color = props.attributes.backgound_color;
        var border_color = props.attributes.border_color;
        var border_width = props.attributes.border_width;
        var font_type = props.attributes.border_width;
        var font_size = props.attributes.font_size;
        var navigation_font_size = props.attributes.navigation_font_size;
        var text_color = props.attributes.text_color;
        var link_color = props.attributes.link_color;
        var custom_css = props.attributes.custom_css;
        var search_type = props.attributes.search_type;
        function updateMessage2( event ) {
            props.setAttributes( { redirect_page: event.target.value} );
		}
        function updateMessage3( event ) {
            props.setAttributes( { search_text: event.target.value} );
		}
        function updateMessage4( event ) {
            props.setAttributes( { search_description: event.target.value} );
		}
        function updateMessage5( event ) {
            props.setAttributes( { search_prefill: event.target.value} );
		}
        function updateMessage9( event ) {
            props.setAttributes( { find_text: event.target.value} );
		}
        function updateMessage10( event ) {
            props.setAttributes( { width: event.target.value} );
		}
        function updateMessage11( event ) {
            props.setAttributes( { backgound_color: event.target.value} );
		}
        function updateMessage12( event ) {
            props.setAttributes( { border_color: event.target.value} );
		}
        function updateMessage13( event ) {
            props.setAttributes( { border_width: event.target.value} );
		}
        function updateMessage14( event ) {
            props.setAttributes( { font_type: event.target.value} );
		}
        function updateMessage15( event ) {
            props.setAttributes( { font_size: event.target.value} );
		}
        function updateMessage16( event ) {
            props.setAttributes( { navigation_font_size: event.target.value} );
		}
        function updateMessage17( event ) {
            props.setAttributes( { text_color: event.target.value} );
		}
        function updateMessage18( event ) {
            props.setAttributes( { link_color: event.target.value} );
		}
        function updateMessage19( event ) {
            props.setAttributes( { custom_css: event.target.value} );
		}
        function updateMessage32( event ) {
            props.setAttributes( { search_type: event.target.value} );
		}
		return gcel(
			'div', 
			{ className: 'coderevolution_gutenberg_div' },
            gcel(
				'h4',
				{ className: 'coderevolution_gutenberg_title' },
                'Vidopticon Search Box ',
                gcel(
                    'div', 
                    {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                    ,
                    gcel(
                        'div', 
                        {className:'bws_hidden_help_text'},
                        'This block is used to display a custom Vidopticon search box.'
                    )
                )
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Page to Redirect Searches: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the full URL of the page where to redirect searches from this form. On the page you point the redirect, you must put the Vidopticon search form, that will intercept the parameters of the search from this redirect form, and display the results on the other page.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'Redirect form URL (with the panopticon search form in it)', value: redirect_page, onChange: updateMessage2, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                '"Search now" Input Field Text: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the text to display in the "Search now" input field text.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'Search now', value: search_text, onChange: updateMessage3, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                '"Search now" Input Field Description: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the text to display in the "Search now" input field description.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'&nbsp;Search...', value: search_description, onChange: updateMessage4, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                '"Search now" Input Field Prefill: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the prefill for the "Search now" input field.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'Prefill for keywords', value: search_prefill, onChange: updateMessage5, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Find Button Text: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the "Find" button text.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'Find', value: find_text, onChange: updateMessage9, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Frame Width: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the with for the results frame.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'auto', value: width, onChange: updateMessage10, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Background Color: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the background color for the results frame.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'#FFFFFF', value: backgound_color, onChange: updateMessage11, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Border Color: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the border color for the results frame.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'#919294', value: border_color, onChange: updateMessage12, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Border Width: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the Border Width of the Results Frame.'
                )
            ),
            gcel(
				'input',
				{ type:"text",placeholder:'1px', value: border_width, onChange: updateMessage13, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Font Type: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the font type of results.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'Arial, sans-serif', value: font_type, onChange: updateMessage14, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Font Size: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the font size of results.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'13px', value: font_size, onChange: updateMessage15, className: 'coderevolution_gutenberg_input' }
			)
            ,
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Navigation Font Size: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the font size of the navigation.'
                )
            ),
			gcel(
				'input',
				{ type:'text',placeholder:'20px', value: navigation_font_size, onChange: updateMessage16, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Text Color: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the text color for the results frame.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'#000000', value: text_color, onChange: updateMessage17, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Results Link Color: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the link color for the results frame.'
                )
            ),
            gcel(
				'input',
				{ type:'text',placeholder:'#198ADC', value: link_color, onChange: updateMessage18, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Custom CSS: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input custom CSS to add to the search box.'
                )
            ),
            gcel(
				'textarea',
				{ rows:1,placeholder:'.bloggerDiv{display:none;}td {border: 0px solid transparent !important;}', value: custom_css, onChange: updateMessage19, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Search Type: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the search type for the form.'
                )
            ),
            gcel(
				'select',
				{ value: search_type, onChange: updateMessage32, className: 'coderevolution_gutenberg_select' }, 
                gcel(
                    'option',
                    { value: 'all'},
                    'all'
                ),
                gcel(
                    'option',
                    { value: 'news'},
                    'news'
                ),
                gcel(
                    'option',
                    { value: 'images'},
                    'images'
                )
            )
		);
    }),
    save: (function( props ) {
       return null;
    }),
} );